using Godot;
using System.Reflection;
using System.Collections.Generic;

namespace Rokojori
{ 
  [Tool]
  [GlobalClass]
  public partial class TextureChannelPropertyName : ShaderPropertyName
  {     
    public void Set( Material material, BaseMaterial3D.TextureChannel value )
    {
      _Set( material, value );
    }

    public BaseMaterial3D.TextureChannel Get( Material material )
    {
      return (BaseMaterial3D.TextureChannel)_Get( material, 0 );
    }

    public override RenderingServer.GlobalShaderParameterType GetParameterType()
    { 
      return RenderingServer.GlobalShaderParameterType.Int;
    }
  }
}